#ifndef DPP_SOCK_H
#define DPP_SOCK_H

#define INVALID_SOCKET		-1

void socket_close(int *sockfd);
int socket_recv(int sockfd, unsigned char *data, unsigned int length);
int dpp_recv_tcp_data(int sockfd, uint8_t  **read_buf);
int connect_to_server(char *straddrs, unsigned int nport);
int socket_dpp_tcp_server_rx(int fd);
int dpp_create_server(int portno);
int socket_set_nonblock(int sockfd);
unsigned int socket_tx_data(int sockfd, char *data, unsigned int len);
int socket_send_dpp_tcp_message(int sockfd, uint8_t *buf, uint32_t buf_len);

#endif
